local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/"

dofile(mpcd_path.."MPCD_definitions.lua")
dofile(mpcd_path.."FLIR/FLIR_Video.lua")
dofile(mpcd_path.."STRS/STRS_WPN_LST.lua")
dofile(mpcd_path.."FLIR/FLIR_Menu.lua")

-- DATA
local	safe_arm_indicator				= CreateElement "ceStringPoly"
		safe_arm_indicator.name			= "safe_arm_indicator"
		safe_arm_indicator.material		= mpcd_font_base
		safe_arm_indicator.init_pos		= { -0.80,  0.80, 0}
		safe_arm_indicator.alignment	= "LeftCenter"
		safe_arm_indicator.formats		= {"%s"}
		safe_arm_indicator.stringdefs	= MPCD_large_font_size
		safe_arm_indicator.controllers	= {{"strs_master_arm"}}
Add_MPCD_Element(safe_arm_indicator)

local	ac_sensor				= CreateElement "ceStringPoly"
		ac_sensor.name			= "ac_sensor"
		ac_sensor.material		= mpcd_font_base
		ac_sensor.init_pos		= { -0.80,  0.70, 0}
		ac_sensor.alignment		= "LeftCenter"
		ac_sensor.formats		= {"%s"}
		ac_sensor.stringdefs	= MPCD_large_font_size
		ac_sensor.controllers	= {{"ac_sel_sensor"}}
Add_MPCD_Element(ac_sensor)

local	ac_heading				= CreateElement "ceStringPoly"
		ac_heading.name			= "ac_heading"
		ac_heading.material		= mpcd_font_base
		ac_heading.init_pos		= { -0.60,  -0.80, 0}
		ac_heading.alignment	= "RightCenter"
		ac_heading.formats		= {"%03d"}
		ac_heading.stringdefs	= MPCD_large_font_size
		ac_heading.controllers	= {{"ac_hdg_value"}}
Add_MPCD_Element(ac_heading)

local	ac_hdg_type				= CreateElement "ceStringPoly"
		ac_hdg_type.name		= "ac_hdg_type"
		ac_hdg_type.material	= mpcd_font_base
		ac_hdg_type.init_pos	= { -0.57,  -0.80, 0}
		ac_hdg_type.alignment	= "LeftCenter"
		ac_hdg_type.value		= "T"
		ac_hdg_type.stringdefs	= MPCD_large_font_size
		ac_hdg_type.controllers	= {{"ac_hdg_true"}}
Add_MPCD_Element(ac_hdg_type)

local	ac_altitude				= CreateElement "ceStringPoly"
		ac_altitude.name		= "ac_altitude"
		ac_altitude.material	= mpcd_font_base
		ac_altitude.init_pos	= { 0.80,  -0.80, 0}
		ac_altitude.alignment	= "RightCenter"
		ac_altitude.formats		= {"%1.f%s"}
		ac_altitude.stringdefs	= MPCD_large_font_size
		ac_altitude.controllers	= {{"ac_alt_value"}}
Add_MPCD_Element(ac_altitude)

-- SYMBOLS
local	ac_horizon				= create_mpcd_textured_box( 7, 508, 337, 526, nil, nil, 61)
		ac_horizon.name			= "ac_horizon"
		ac_horizon.init_pos		= {0, 0.453, 0}
		ac_horizon.controllers	= {{"ac_roll"}, {"ac_pitch", 0.35, 1.0}, {"flir_symbols"}}
Add_MPCD_Element(ac_horizon)

local	ac_vv_marker				= create_mpcd_textured_box( 352, 13, 426, 66, nil, nil, 61)
		ac_vv_marker.name			= "ac_vv_marker"
		ac_vv_marker.init_pos		= {0, 0.47, 0} --0.0225
		ac_vv_marker.controllers	= {{"ac_velocity", 0.35, 1.0}, {"flir_symbols"}}
Add_MPCD_Element(ac_vv_marker)

local	not_ready_warn				= CreateElement "ceStringPoly"
		not_ready_warn.name			= "not_ready_warn"
		not_ready_warn.material		= mpcd_font_base
		not_ready_warn.init_pos		= { 0.0,  -0.40, 0}
		not_ready_warn.alignment	= "CenterCenter"
		not_ready_warn.value		= "NOT READY"
		not_ready_warn.stringdefs	= MPCD_large_font_size
		not_ready_warn.controllers	= {{"navflir_not_ready"}}
Add_MPCD_Element(not_ready_warn)

